{
    attributes = (
        {
            columnName = C_DEP; 
            externalType = VARCHAR2; 
            name = cDep; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = C_INSEE; 
            externalType = VARCHAR2; 
            name = cInsee; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = C_POSTAL; 
            externalType = VARCHAR2; 
            name = cPostal; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = LL_COM; 
            externalType = VARCHAR2; 
            name = llCom; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cInsee, llCom, cPostal, cDep); 
    className = EOGenericRecord; 
    classProperties = (cInsee, llCom, cPostal, cDep); 
    externalName = COMMUNE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_clientClassPropertyNames = (cInsee, llCom, cPostal, cDep); }; 
    name = Commune; 
    primaryKeyAttributes = (cInsee); 
}
